com.google.common.io

## Interface OutputSupplier<T>

- Deprecated.
  For `OutputSupplier<? extends OutputStream>`, use `ByteSink` instead. For `OutputSupplier<? extends Writer>`, use `CharSink`. Implementations of `OutputSupplier` that don't fall into one of those categories do not benefit from any of the methods in `common.io` and should use a different interface. This interface is scheduled for removal in December 2015.

      @Deprecated
      public interface OutputSupplier<T>

  A factory for writable streams of bytes or characters.
  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getOutput()` Deprecated. Returns an object that encapsulates a writable resource.

- - ### Method Detail

    - #### getOutput

          T getOutput()
                      throws java.io.IOException

      Deprecated.
      Returns an object that encapsulates a writable resource.

      Like `Iterable.iterator()`, this method may be called repeatedly to get independent channels to the same underlying resource.

      Where the channel maintains a position within the resource, moving that cursor within one channel should not affect the starting position of channels returned by other calls.

      Throws:
        `java.io.IOException`